#target illustrator
var theDate = new Date();
var docRef = app.documents.add(null,792,612);
var artboardRef = docRef.artboards;
var objectWidthInches = Number(prompt ("Enter the circumference of the container in inches:", 6, "Enter the Circumference"));
var objectHeightInches = Number(prompt ("Enter the available height of the container in inches:", 6, "Enter the Available Height"));
var gap = objectWidthInches > 3 ? 13.5 : 9;
var gapToLeft = objectWidthInches > 3 ? 15 : 9;
var standardgap = objectWidthInches > 3 ? .375 : .25;
var verticalgap = objectHeightInches > 1.5 ? .375 : .25;
var brk = objectWidthInches > 4 ? ' ' : '\n';
var namePrompt = prompt("Enter a name for your container print template:","Template Name");
var boxTop;
var left1;
var left2;
var rect1;
var rect2;
var guide1;
var guide2;
var guide3;
var artLayer = docRef.layers.add();
var infoLayer = docRef.layers.add();
var guideLayer = docRef.layers.add();
docRef.layers[0].name = "Artwork";
docRef.layers[1].name = "Print Dimensions";
docRef.layers[2].name = "Information";
docRef.layers[3].name = "Guides";
var	panelWidthPrimitive = (objectWidthInches/2 - standardgap);
var	panelHeightPrimitive = (objectHeightInches - verticalgap);
var	objectWidth = (objectWidthInches/2 - standardgap) * 72;
var	objectHeight = (objectHeightInches - verticalgap) * 72;
boxTop = (artboardRef[0].artboardRect[1] + (artboardRef[0].artboardRect[3]-artboardRef[0].artboardRect[1])/2 + objectHeight/2);
left1 = (artboardRef[0].artboardRect[0] + (artboardRef[0].artboardRect[2]-artboardRef[0].artboardRect[0])/2 - objectWidth - gap);
left2 = (artboardRef[0].artboardRect[0] + (artboardRef[0].artboardRect[2]-artboardRef[0].artboardRect[0])/2 + gap);
rect1 = docRef.layers[1].pathItems.rectangle (boxTop, left1, objectWidth, objectHeight);
rect2 = docRef.layers[1].pathItems.rectangle (boxTop, left2, objectWidth, objectHeight);
guide1 = docRef.layers[3].pathItems.rectangle (boxTop, left1, objectWidth, objectHeight);
guide2 = docRef.layers[3].pathItems.rectangle (boxTop, left2, objectWidth, objectHeight);
guide3 = docRef.layers[3].pathItems.rectangle (boxTop + 9, left1 - gap, objectWidthInches * 72, objectHeightInches * 72);
guide1.guides = true;
guide2.guides = true;
guide3.guides = true;
var textfrontpanel = docRef.layers[2].textFrames.add();
var textbackpanel = docRef.layers[2].textFrames.add();
var panelStrokeColor = new CMYKColor();
panelStrokeColor.cyan = 0;
panelStrokeColor.magenta = 0;
panelStrokeColor.yellow = 0;
panelStrokeColor.black = 100;
var copyrightColor = new CMYKColor();
copyrightColor.cyan = 0;
copyrightColor.magenta = 0;
copyrightColor.yellow = 0;
copyrightColor.black = 30;
var TheNoColor = new NoColor();
rect1.fillColor = TheNoColor;
rect2.fillColor = TheNoColor;
rect1.strokeColor = panelStrokeColor;
rect2.strokeColor = panelStrokeColor;
textfrontpanel.textRange.characterAttributes.size = 8;
textfrontpanel.top = boxTop - 5;
textfrontpanel.left = left1 + 5;
textfrontpanel.contents = 'Front Panel:\n\nWidth: ' + panelWidthPrimitive + '"' + brk + '(' + Math.round(panelWidthPrimitive*72) + ' points)' + brk + '\nHeight: ' + panelHeightPrimitive + '"' + brk + '(' + Math.round(panelHeightPrimitive*72) + ' points)';
textbackpanel.textRange.characterAttributes.size = 8;
textbackpanel.top = boxTop - 5;
textbackpanel.left = left2 + 5;
textbackpanel.contents = 'Back Panel:\n\nWidth: ' + panelWidthPrimitive + '"' + brk + '(' + Math.round(panelWidthPrimitive*72) + ' points)' + brk + '\nHeight: ' + panelHeightPrimitive + '"' + brk + '(' + Math.round(panelHeightPrimitive*72) + ' points)';
var templateName = docRef.layers[2].textFrames.add();
templateName.textRange.characterAttributes.size = 15;
templateName.top = boxTop + 40;
templateName.left = 396;
if (namePrompt != "Template Name"){
templateName.contents = namePrompt + ' ';
}
else{
templateName.contents = '';
}
templateName.contents += 'Print Template ' + objectWidthInches + '" x ' + objectHeightInches + '"';
var copyrightText = docRef.layers[2].textFrames.add();
copyrightText.textRange.characterAttributes.size = 20;
copyrightText.top = 40;
copyrightText.left = 396;
copyrightText.textRange.characterAttributes.fillColor = copyrightColor;
copyrightText.contents = 'Template Script Copyright 2018 Amen Packaging, Denver, Colorado, USA';
templateName.textRange.justification = Justification.CENTER;
copyrightText.textRange.justification = Justification.CENTER;
docRef.layers[2].locked = true;
docRef.layers[3].locked = true;